%define _disable_ld_no_undefined	1
%define Werror_cflags			%nil

%define url_ver		 %(echo %{version} | cut -d "." -f -2)

Name:		shotwell
Version:	0.14.1
Release:	%mkrel 2
Summary:	A photo organizer designed for GNOME
License:	LGPLv2+ and CC-BY-SA
Group:		Graphics/Photography
Url:		http://www.yorba.org/shotwell/
Source0:	http://www.yorba.org/download/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# (cg) This is the fedora patch. The upstream fix:
# http://git.yorba.org./cgit.cgi/shotwell/commit/src/util/system.vala?id=65574e34b90c5e5a19fcfc0d799b793ef7775691
# http://redmine.yorba.org/issues/5181
# Did not seem to work for me and still failed to lanch things. Go figure.
# When dropping this patch (e.g. in 0.15.0, please make sure the code still works
# when launched via /bin/shotwell (as opposed to /usr/bin/shotwell)
# https://bugs.mageia.org/show_bug.cgi?id=9978
Patch0:	shotwell-0.14.1-fix-symlinked-bin.patch

BuildRequires:	locales-en
BuildRequires:	vala-devel >= 0.18.0
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gexiv2) >= 0.6.1
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libexif) >= 0.4.90
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
Obsoletes:	f-spot
Provides:	f-spot

%description
Shotwell is a digital photo organizer designed for the GNOME desktop 
environment. It allows you to import photos from disk or camera, 
organize them in various ways, view them in full-window or fullscreen 
mode, and export them to share with others.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%before_configure
./configure \
	--prefix=%{_prefix} \
	--lib=%{_lib} \
	--disable-schemas-compile \
	--disable-desktop-update \
	--disable-icon-update
%make

%install
# otherwise gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
%makeinstall_std

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS MAINTAINERS README COPYING NEWS THANKS
%{_bindir}/%{name}*
/usr/libexec/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/GConf/gsettings/shotwell.convert
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell*.gschema.xml


%changelog

* Thu May 09 2013 colin <colin> 0.14.1-2.mga3
+ Revision: 412788
- Upstream fix for mga#9978 didn't work - use (hacky) Fedora patch as it does :)
- Upstream patch to fix launching from /bin/shotwell (where /bin is a symlink) mga#9978

* Mon Apr 08 2013 dams <dams> 0.14.1-1.mga3
+ Revision: 409058
- new version 0.14.1

* Wed Apr 03 2013 fwang <fwang> 0.14.0-4.mga3
+ Revision: 407404
- rebuild for new gexiv

  + dams <dams>
    - fix BR for gevix2: asks better version

* Fri Mar 22 2013 dams <dams> 0.14.0-2.mga3
+ Revision: 404488
- update BuildRequires

* Thu Mar 21 2013 dams <dams> 0.14.0-1.mga3
+ Revision: 404342
- new version 0.14.0
- remove useless patch (merged upstream)

* Thu Mar 14 2013 dams <dams> 0.14.0-0.git20130313.1.mga3
+ Revision: 403180
- add a patch to fix pt.po (patch sent upstream: #6560)
- new git snapshot: 20130313
- new git snapshot: 20130307
- remove 'pkgconfig(unique-3.0)' as a buildrequires

* Tue Mar 05 2013 dams <dams> 0.14.0-0.git20130304.1.mga3
+ Revision: 401453
- new git snapshot: 20130304

* Mon Feb 18 2013 dams <dams> 0.14.0-0.git20130215.1.mga3
+ Revision: 399085
- new git snapshot: 201302015

* Fri Feb 08 2013 dams <dams> 0.14.0-0.git20130207.1.mga3
+ Revision: 395527
- new git snapshot: 20130207

* Thu Jan 31 2013 dams <dams> 0.14.0-0.git20130131.1.mga3
+ Revision: 393699
- new git snapshot: 20130131

* Mon Jan 14 2013 umeabot <umeabot> 0.14.0-0.git20130109.2.mga3
+ Revision: 381995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dams <dams> 0.14.0-0.git20130109.1.mga3
+ Revision: 343688
- new git snapshot (ports Shotwell to GStreamer 1.0)

* Sat Oct 06 2012 dams <dams> 0.13.1-1.mga3
+ Revision: 303011
- shotwell-settings-migrator has been moved to %%{_libexecdir}
- add a new BuildRequires (pkgconfig(gstreamer-pbutils-0.10))
- fix %%Group
- remove useless patch (accepted upstream)
- new version 0.13.1

* Sun Sep 23 2012 tv <tv> 0.13.0-2.mga3
+ Revision: 296902
- obsoletes f-spot

* Thu Sep 20 2012 dams <dams> 0.13.0-1.mga3
+ Revision: 296332
- add a patch to fix po files (sent upstream: http://redmine.yorba.org/issues/5860)
- new version 0.13.0

* Wed Aug 29 2012 dams <dams> 0.13.0-0.git20120828.1.mga3
+ Revision: 285015
- new git snapshot for better version in Mageia 3 alpha 1

* Wed Aug 22 2012 dams <dams> 0.13.0-0.git20120822.1.mga3
+ Revision: 283082
- new git snapshot (20120822) to support libgphoto2.5
- add 'json-glib-1.0' as a buildrequire
- new gitsnapshot 20120805 (for new vala and new gexiv2)
- remove uneeded patch

  + fwang <fwang>
    - fix build with vala 0.17.2

* Fri May 11 2012 dams <dams> 0.12.3-3.mga2
+ Revision: 235317
- Better fix for mga#5828, was missing 'locales-en' while building on BS

* Fri May 11 2012 dams <dams> 0.12.3-2.mga2
+ Revision: 235261
- setting 'LANG=en_US.utf8' before 'make install' in order to fix mga#5828

* Thu May 10 2012 dams <dams> 0.12.3-1.mga2
+ Revision: 235110
- new version 0.12.3

* Thu Apr 12 2012 dams <dams> 0.12.2-1.mga2
+ Revision: 230334
- new version 0.12.2

* Thu Mar 29 2012 dams <dams> 0.12.1-1.mga2
+ Revision: 227458
- new version 0.12.1

* Wed Mar 28 2012 dams <dams> 0.12.0-1.mga2
+ Revision: 227273
- new version 0.12.0
- clean specfile

* Wed Mar 21 2012 dams <dams> 0.12.0-0.git20120321.1.mga2
+ Revision: 225277
- new git snapshot (20120321)

* Wed Mar 07 2012 dams <dams> 0.12.0-0.git20120307.2.mga2
+ Revision: 220794
- new version 0.11.93
- new buildrequires: pkgconfig(rest-0.7)

* Thu Mar 01 2012 dams <dams> 0.12.0-0.git20120224.2.mga2
+ Revision: 216433
- clean specfile

* Fri Feb 24 2012 dams <dams> 0.12.0-0.git20120224.1.mga2
+ Revision: 213913
- new version 0.11.92 (git snapshot)

* Tue Feb 21 2012 dams <dams> 0.12.0-0.git20120221.1.mga2
+ Revision: 211559
- update git tarball (0.11.91) for bug fix

* Fri Nov 04 2011 dams <dams> 0.12.0-0.git20111104.1.mga2
+ Revision: 162751
- update git tarball (0.11.6+trunk) for bug fix on 'tags'

* Fri Oct 21 2011 dams <dams> 0.12.0-0.git20111021.1.mga2
+ Revision: 157204
- update git tarball (0.11.5+trunk) for bug fix on 'import from F-Spot'

* Fri Oct 14 2011 dams <dams> 0.12.0-0.git20111014.1.mga2
+ Revision: 154946
- update git tarball to 20111014
- merge 0.11.3 and 0.11.4 bug fixes

* Sun Oct 09 2011 wally <wally> 0.12.0-0.git20111009.1.mga2
+ Revision: 153511
- update to latest git snapshot
- add patch from gentoo to build with latest libraw

  + fwang <fwang>
    - new version 0.11.1

* Mon Jun 20 2011 dmorgan <dmorgan> 0.10.1-2.mga2
+ Revision: 110761
- Rebuild against new webkit

* Thu Jun 16 2011 dams <dams> 0.10.1-1.mga2
+ Revision: 108236
- update spec file and add a linkage fix
- update to 0.10.1

* Wed Mar 16 2011 ahmad <ahmad> 0.8.1-2.mga1
+ Revision: 72972
- rebuild against webkit-1.2.x

* Thu Mar 10 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 67699
- Fix BuildRequires
- Remove BuildRoot
- imported package shotwell


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 635838
- BR libgomp-devel
- new version 0.8.1

* Fri Dec 24 2010 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 624566
- update BR
- new version 0.8.0

  + Götz Waschk <waschk@mandriva.org>
    - bump vala dep

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 577145
- update to new version 0.7.2

* Sat Aug 28 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 573664
- new version 0.7.1

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 571747
- new version 0.7.0

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 565620
- add upstream patch to build with vala 0.9.3
- New version 0.6.1

* Fri May 28 2010 Antoine Ginies <aginies@mandriva.com> 0.5.2-1mdv2010.1
+ Revision: 546490
- more languages support (Czech, Finnish, Greek, and Ukrainian), remove patch (integrated upstream)

* Wed Apr 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 537732
- Fix BuildRequires
- Update to new version 0.5.0
- Add patch from Debian to build with vala 0.8
- Don't update icon cache while building package

* Sun Jan 24 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 495530
- update to new version 0.4.3

* Wed Jan 06 2010 Jérôme Brenier <incubusss@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 486757
- new version 0.4.2
- add minimal version for some BuildRequires

* Sun Dec 27 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 482593
- add a buildroot tag
- import shotwell


